Subject: Increase GoCardless Direct Debit limit to above current bill total
Description: It would be good to be able to be able to do something along the lines of:

Bitfolk: Your bill is £x, please set up direct debit auth up to maximum of £x
Me: But | think in the next billing period, that | might upgrade, can | opt to set the DD threshold to £x + 20%
please?

This relies on customers trusting Bitfolk that they only take as much as the bill is, until upgrades are ordered.

It also requires GoCardless/Direct Debits to be able to charge some fraction of the full authorised amount
and do more later.

History

2015-11-29 13:23 - admin
Back in the mists of time when GoCardless was first implemented, BitFolk customers were quite keen on it being limited to the exact amount that was
the same as the cost of their service. Also, although it was not yet implemented by GoCardless, they seemed quite receptive to an API call to increase

the limit and have the customer approve. So that is what was implemented at BitFolk.

Fast forward a few years and unfortunately GoCardless have been clear that they don't intend to allow any altering of the limits, other than cancelling
the authorization and creating a new one. Their own documentation recommends setting up Direct Debits with a limit vastly above anything that would

ever be charged.

There are still some BitFolk customers who are massively opposed to BitFolk having an unlimited Direct Debit authorization, even though every other
company they have a DD authorization with (e.g. their utilities supplier, telecommunications provider, etc.) has that ability, as well as every company
they have given continuous credit card authority to (PayPal? Amazon?).

| suspect that most companies would just use the immense limit method and forget about it. That may yet be the best way to go, because anything

else might be offering too much choice.

But if we do want to make it so that upgrades can be ordered without cancelling and re-authorizing the Direct Debit then what we could do is present a

form that as you say is something like:

<pr’e>

> Your bill is £10.79 per month. We recommend you authorize £21.58 per month in case you need to upgrade later.
> We will only ever charge you £10.79 until/unless you upgrade.

> Authorize: [£21.58] [============= slider between £10.79 and some massive amount ==============]

</pre>

i.e. the form starts out at 2x their bill and if they don't stop to think about it that's what they authorize, otherwise if they really care they can authorize

what they like. Downside for them being they might need to cancel/re-auth later on if they make it too low.
Still sounding like a fair bit of work for the sake of a very small number of people.
2015-11-29 13:47 - admin

When | say it sounds like a fair bit of work by the way, | mean in comparison to just doing it the way GoCardless recommend, which is to just set a
stupidly large limit like £10,000 and not tell the customer that there is any limit at all. That then allows any amount to be requested up to £10,000.
I didn't mean to say that things should stay as they are, as having to cancel and re-authorize for any increase at all is pretty irritating.

2017-09-20 16:50 - admin
- Status changed from New to Closed
The current GoCardless API does not support limits except as part of a very strict subscription, which are not suitable for BitFolk's use. Without the

concept of a limited mandate this request is not possible.
